server:
  port: 7091

spring:
  application:
    name: nexo-seata-server
  profiles:
    # 环境配置
    active: @profiles.active@

logging:
  config: classpath:logback-spring.xml
  file:
    path: ./logs/seata

console:
  user:
    username: seata
    password: seata

seata:
  config:
    # support: nacos 、 consul 、 apollo 、 zk  、 etcd3
    type: nacos
    nacos:
      server-addr: @nacos.server@
      group: @nacos.discovery.group@
      namespace: ${spring.profiles.active}
      data-id: seata-server.properties
  registry:
    # support: nacos 、 eureka 、 redis 、 zk  、 consul 、 etcd3 、 sofa
    type: nacos
    nacos:
      application: ${spring.application.name}
      server-addr: @nacos.server@
      group: @nacos.discovery.group@
      namespace: ${spring.profiles.active}
      cluster: default

  security:
    secretKey: SeataSecretKey0c382ef121d778043159209298fd40bf3850a017
    tokenValidityInMilliseconds: 1800000
    ignore:
      urls: /,/**/*.css,/**/*.js,/**/*.html,/**/*.map,/**/*.svg,/**/*.png,/**/*.ico,/console-fe/public/**,/api/v1/auth/login
